import { defHttp } from '@/utils/http/axios';
import { ID, IDS, commonExport } from '@/api/base';
import { EmployInfoVO, EmployInfoForm, EmployInfoQuery } from './model';

/**
 * 查询使用单位基础信息;列表
 * @param params
 * @returns
 */
export function employInfoList(params?: EmployInfoQuery) {
  return defHttp.get<EmployInfoVO[]>({ url: '/employ/employInfo/list', params });
}

/**
 * 导出使用单位基础信息;列表
 * @param params
 * @returns
 */
export function employInfoExport(params?: EmployInfoQuery) {
  return commonExport('/employ/employInfo/export', params ?? {});
}

/**
 * 查询使用单位基础信息;详细
 * @param id id
 * @returns
 */
export function employInfoInfo(id: ID) {
  return defHttp.get<EmployInfoVO>({ url: '/employ/employInfo/' + id });
}

/**
 * 新增使用单位基础信息;
 * @param data
 * @returns
 */
export function employInfoAdd(data: EmployInfoForm) {
  return defHttp.postWithMsg<void>({ url: '/employ/employInfo', data });
}

/**
 * 更新使用单位基础信息;
 * @param data
 * @returns
 */
export function employInfoUpdate(data: EmployInfoForm) {
  return defHttp.putWithMsg<void>({ url: '/employ/employInfo', data });
}

/**
 * 删除使用单位基础信息;
 * @param id id
 * @returns
 */
export function employInfoRemove(id: ID | IDS) {
  return defHttp.deleteWithMsg<void>({ url: '/employ/employInfo/' + id });
}
